package edu.sc.seis.gee.task;

import java.util.Iterator;
import java.util.Map;

/**
 * TestParamTask.java
 *
 *
 * Created: Tue Jan  8 11:20:59 2002
 *
 * @author <a href="mailto:">Philip Crotwell</a>
 * @version
 */

public class TestParamTask implements Task {
    public TestParamTask (){
	
    }

    public void configure(Map params) {
	this.params = params;
    }

    public void invoke() {
	System.out.println(getClass().getName()+": invoke");
	Iterator it = params.keySet().iterator();
	while (it.hasNext()) {
	    Object key = it.next();
	    System.out.println(key+" -> "+params.get(key));
	} // end of while (it.hasNext())
	System.out.println("Done with params.");
    }

    public void destroy(){}

    Map params;

}// TestParamTask
